package xlsx

import (
	"fmt"
	"testing"
	"time"

	"github.com/xuri/excelize/v2"
)

func TestMain(T *testing.T) {
	f := excelize.NewFile()
	defer func() {
		if err := f.Close(); err != nil {
			fmt.Println(err)
		}
	}()
	index, err := f.NewSheet("Sheet1")
	if err != nil {
		fmt.Println(err)
		return
	}
	f.SetActiveSheet(index)
	f.SetCellValue("Sheet1", "A1", "项目名称")
	f.SetCellValue("Sheet1", "B1", "总投资")
	f.SetCellValue("Sheet1", "C1", "合作主体")
	f.MergeCell("Sheet1", "D1", "E1")
	f.SetCellValue("Sheet1", "D1", "出资比例")
	f.SetCellValue("Sheet1", "F1", "日期")

	f.MergeCell("Sheet1", "F2", "F4")
	f.SetCellValue("Sheet1", "F2", time.Now())
	f.MergeCell("Sheet1", "A2", "A4")
	f.SetCellValue("Sheet1", "A2", "项目1")
	f.MergeCell("Sheet1", "B2", "B4")
	f.SetCellValue("Sheet1", "B2", 100)
	f.MergeCell("Sheet1", "C2", "C4")
	f.SetCellValue("Sheet1", "C2", "合作主体1")
	f.SetCellValue("Sheet1", "D2", "1合作主体1")
	f.SetCellValue("Sheet1", "E2", 10)
	f.SetCellValue("Sheet1", "D3", "1合作主体2")
	f.SetCellValue("Sheet1", "E3", 20)
	f.SetCellValue("Sheet1", "D4", "1合作主体3")
	f.SetCellValue("Sheet1", "E4", 30)

	f.MergeCell("Sheet1", "F5", "F7")
	f.SetCellValue("Sheet1", "F5", time.Now())
	f.MergeCell("Sheet1", "A5", "A7")
	f.SetCellValue("Sheet1", "A5", "项目2")
	f.MergeCell("Sheet1", "B5", "B7")
	f.SetCellValue("Sheet1", "B5", 200)
	f.MergeCell("Sheet1", "C5", "C7")
	f.SetCellValue("Sheet1", "C5", "合作主体2")
	f.SetCellValue("Sheet1", "D3", "2合作主体1")
	f.SetCellValue("Sheet1", "E3", 10)
	f.SetCellValue("Sheet1", "D4", "2合作主体2")
	f.SetCellValue("Sheet1", "E4", 20)
	f.SetCellValue("Sheet1", "D5", "2合作主体3")
	f.SetCellValue("Sheet1", "E5", 30)
	f.SaveAs("./test3.xlsx")
}
