package xlsx

import (
	"testing"

	"git.botann.com/lijun/xlsx/export"
)

type Data4 struct {
	ProjectName   string `export:"true,x:1,y:3"`
	ProjectUnit   string `export:"true,x:2,y:3"`
	CentralInvest int    `export:"true,x:3,y:3"`
	LocalInvest   int    `export:"true,x:4,y:3"`
	CompanyInvest int    `export:"true,x:5,y:3"`
}

type Total struct {
	TotalCentralInvest int `export:"true,x:3,y:2"`
	TotalLocalInvest   int `export:"true,x:4,y:2"`
	TotalCompanyInvest int `export:"true,x:5,y:2"`
	Data               []Data4
}

func TestMain(T *testing.T) {
	title := []export.Title{
		{
			Name:     "项目名称",
			Location: export.Location{X: 1, Y: 1},
		},
		{
			Name:     "项目单位",
			Location: export.Location{X: 2, Y: 1},
		},
		{
			Name:     "中央投资",
			Location: export.Location{X: 3, Y: 1},
		},
		{
			Name:     "地方投资",
			Location: export.Location{X: 4, Y: 1},
		},
		{
			Name:     "公司投资",
			Location: export.Location{X: 5, Y: 1},
		},
		{
			Name:     "合计",
			Location: export.Location{X: 1, Y: 2},
			Colspan:  2,
		},
	}
	data := Total{
		TotalCentralInvest: 100,
		TotalLocalInvest:   200,
		TotalCompanyInvest: 300,
		Data: []Data4{
			{
				ProjectName:   "项目1buiognui你哦凝固和你哦i安抚ing哦in诶哦怕你给哦发布挖HiFi你哦别喝UI会给你入和",
				ProjectUnit:   "单位1",
				CentralInvest: 10,
				LocalInvest:   20,
				CompanyInvest: 30,
			},
			{
				ProjectName:   "项目2",
				ProjectUnit:   "单位2",
				CentralInvest: 40,
				LocalInvest:   50,
				CompanyInvest: 60,
			},
		},
	}
	exporter := export.DefaultExporter()
	exporter.Titles = title
	exporter.Data = &data
	exporter.File = "test4.xlsx"
	exporter.Path = "./"
	exporter.Export(0)

}
