package xlsx

import (
	"fmt"
	"testing"

	"git.botann.com/lijun/xlsx/export"
)

type Data struct {
	Name        string `export:"true,x:1,y:2,title:项目名称"`
	TotalInvest int64  `export:"true,x:2,y:2,title:总投资(万元)"`
	Unit        string `export:"true,x:3,y:2,title:单位"`
	Remark      string `export:"true,x:4,y:2,title:备注"`
}

func TestMain(t *testing.T) {
	data := []Data{
		{
			Name:        "项目1",
			TotalInvest: 100,
			Unit:        "单位1",
			Remark:      "备注1",
		},
		{
			Name:        "项目2",
			TotalInvest: 200,
			Unit:        "单位2",
			Remark:      "备注2",
		},
		{
			Name:        "项目3",
			TotalInvest: 300,
			Unit:        "单位3",
			Remark:      "备注3",
		},
	}
	exporter := export.DefaultExporter()
	exporter.Sheets = []string{"Sheet1", "Sheet2"}
	exporter.Data = &data
	exporter.Titles = nil
	exporter.File = "test6.xlsx"
	exporter.Path = "./"
	err := exporter.Export(0)
	fmt.Println(err)
	exporter.Export(1)
}
